summaryrefslogtreecommitdiff
path: root/dev-python/openapi-spec-validator
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/openapi-spec-validator
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadataHEADdevelop
Diffstat (limited to 'dev-python/openapi-spec-validator')
-rw-r--r--dev-python/openapi-spec-validator/Manifest6
-rw-r--r--dev-python/openapi-spec-validator/metadata.xml9
-rw-r--r--dev-python/openapi-spec-validator/openapi-spec-validator-0.8.0.ebuild55
-rw-r--r--dev-python/openapi-spec-validator/openapi-spec-validator-0.8.5.ebuild57
-rw-r--r--dev-python/openapi-spec-validator/openapi-spec-validator-0.9.0.ebuild57
5 files changed, 184 insertions, 0 deletions
diff --git a/dev-python/openapi-spec-validator/Manifest b/dev-python/openapi-spec-validator/Manifest
new file mode 100644
index 000000000000..ebd79ada92e1
--- /dev/null
+++ b/dev-python/openapi-spec-validator/Manifest
@@ -0,0 +1,6 @@
+DIST openapi_spec_validator-0.8.0.tar.gz 1744560 BLAKE2B 6ac56b686c0d11b657cae6b117b25c785465f571ba893b4a375bb9d9c1c7dead3ccad17e946973c9446bd44a61e543096c788d189cd56ed4bc4289e9b879d0f9 SHA512 598a4dd47154bd10ced9bdae5243373dc329b5fd57baa5de5a9ef2c9cfa2466db5945009c50312b9e07043d771145c14b3dd357a4b5a2638a20f82783ab5406c
+DIST openapi_spec_validator-0.8.0.tar.gz.provenance 9722 BLAKE2B e867db7f88cf437f505f93399aa503d9f95a892ecbe724c81f108675635ff04209c51a02fa8b658f65e33cabfd9b3feb281b6afb573c355ac670d9e254235aec SHA512 5912574f9ac632011c7f8519730943af0e3fcef9ed7270a308192154ae47c0fa798d35e1f140429dffccc4ea66763d5fe1b96d2de8b111bc615661904d8e7807
+DIST openapi_spec_validator-0.8.5.tar.gz 1756845 BLAKE2B b9405997f5ca94645b02cce34663f4eb3c0b91eeb3e08e35c35b5aecbe76daf1dad91a8aafed9b1f03fe2d532cfe929146bbe85c030b4492f3b9ba47ddf7b1c3 SHA512 e1da428809c5ababe0ac58aee5ab7f0b93c9b5bb80fee4c711c9c22d8c413f3235d970f2b044b9a6df6890ee84f3c1d88148b0ef4cec970a093490a4e2c3744e
+DIST openapi_spec_validator-0.8.5.tar.gz.provenance 10149 BLAKE2B 62c9f653c4973377f2a922bf093506830a51410becabc7f431d95f849bdf267c3f71faefe28a484db7b30d3fd0b173e243f6b7a3624d1a3c87996e23f9b35933 SHA512 4d2bb2400872a8d657359eb2e23d78edf8d4c951ab8e326b357cef73ff5879b9d947f64fc2c22f196ec49fdb7fabd87bbfda88c2093611984c7d8ab85bf70a07
+DIST openapi_spec_validator-0.9.0.tar.gz 1756839 BLAKE2B 8bd91508ebf3ae41b278902f79e2f94e9c19b873f3390a36a20e1aef8adb43f65da6ec50080db2a0d60852603d12244789faa89b8a5bb174830dcfe937d9c52c SHA512 3ac96550a803f9be06c817ce414e9ca5e63a4df209db1d813b2491376e4184fe76e508fee63b925e8d6973232c481ea0c0ccb1f8b9acce53d58d0175691a465a
+DIST openapi_spec_validator-0.9.0.tar.gz.provenance 10008 BLAKE2B 658621b60eb15809628631c1b1060d442156e3656dfe4628c0fd2638000dad2bd9585e36805e1265b8b38c154ea38f0b345890afe691a054cfd36e87119e4c07 SHA512 74473bdfa52ba2e047b41185c4f217f004860636518395a89e1c6cf435ea640bffd7be9e92e15c7af7bc42eb5f2629f151c01fb74e8c9fc67fff190ba22a7788
diff --git a/dev-python/openapi-spec-validator/metadata.xml b/dev-python/openapi-spec-validator/metadata.xml
new file mode 100644
index 000000000000..d34971a915e9
--- /dev/null
+++ b/dev-python/openapi-spec-validator/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+ <stabilize-allarches />
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/openapi-spec-validator/openapi-spec-validator-0.8.0.ebuild b/dev-python/openapi-spec-validator/openapi-spec-validator-0.8.0.ebuild
new file mode 100644
index 000000000000..2bfeafba96e1
--- /dev/null
+++ b/dev-python/openapi-spec-validator/openapi-spec-validator-0.8.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYPI_VERIFY_REPO=https://github.com/python-openapi/openapi-spec-validator
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="OpenAPI 2.0 (aka Swagger) and OpenAPI 3.0 spec validator"
+HOMEPAGE="
+ https://github.com/python-openapi/openapi-spec-validator/
+ https://pypi.org/project/openapi-spec-validator/
+"
+
+LICENSE="BSD"
+SLOT="0"
+if [[ ${PV} != *_beta* ]]; then
+ KEYWORDS="amd64 arm arm64 ~loong ppc64 ~riscv x86"
+fi
+
+RDEPEND="
+ >=dev-python/jsonschema-4.24.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-path-0.4.2[${PYTHON_USEDEP}]
+ >=dev-python/lazy-object-proxy-1.7.1[${PYTHON_USEDEP}]
+ >=dev-python/openapi-schema-validator-0.7.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Internet
+ tests/integration/test_shortcuts.py::TestPetstoreV2Example
+ tests/integration/test_shortcuts.py::TestApiV2WithExampe
+ tests/integration/test_shortcuts.py::TestPetstoreV2ExpandedExample
+ tests/integration/test_shortcuts.py::TestPetstoreExample
+ tests/integration/test_shortcuts.py::TestRemoteValidatev2SpecUrl
+ tests/integration/test_shortcuts.py::TestRemoteValidatev30SpecUrl
+ tests/integration/test_shortcuts.py::TestApiWithExample
+ tests/integration/test_shortcuts.py::TestPetstoreExpandedExample
+ tests/integration/test_validate.py::TestPetstoreExample
+ tests/integration/test_validate.py::TestApiWithExample
+ tests/integration/test_validate.py::TestPetstoreExpandedExample
+ tests/integration/validation/test_validators.py
+)
+
+src_prepare() {
+ sed -i -e '/--cov/d' pyproject.toml || die
+ # remove meaningless upper bounds
+ sed -i -e 's:,<[0-9.]*::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/openapi-spec-validator/openapi-spec-validator-0.8.5.ebuild b/dev-python/openapi-spec-validator/openapi-spec-validator-0.8.5.ebuild
new file mode 100644
index 000000000000..8653c2405897
--- /dev/null
+++ b/dev-python/openapi-spec-validator/openapi-spec-validator-0.8.5.ebuild
@@ -0,0 +1,57 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYPI_VERIFY_REPO=https://github.com/python-openapi/openapi-spec-validator
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="OpenAPI 2.0 (aka Swagger) and OpenAPI 3.0 spec validator"
+HOMEPAGE="
+ https://github.com/python-openapi/openapi-spec-validator/
+ https://pypi.org/project/openapi-spec-validator/
+"
+
+LICENSE="BSD"
+SLOT="0"
+if [[ ${PV} != *_beta* ]]; then
+ KEYWORDS="amd64 arm arm64 ppc64 ~riscv x86"
+fi
+
+RDEPEND="
+ >=dev-python/jsonschema-4.24.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-path-0.4.3[${PYTHON_USEDEP}]
+ >=dev-python/lazy-object-proxy-1.7.1[${PYTHON_USEDEP}]
+ >=dev-python/openapi-schema-validator-0.7.3[${PYTHON_USEDEP}]
+ >=dev-python/pydantic-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pydantic-settings-2.0.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Internet
+ tests/integration/test_shortcuts.py::TestPetstoreV2Example
+ tests/integration/test_shortcuts.py::TestApiV2WithExampe
+ tests/integration/test_shortcuts.py::TestPetstoreV2ExpandedExample
+ tests/integration/test_shortcuts.py::TestPetstoreExample
+ tests/integration/test_shortcuts.py::TestRemoteValidatev2SpecUrl
+ tests/integration/test_shortcuts.py::TestRemoteValidatev30SpecUrl
+ tests/integration/test_shortcuts.py::TestApiWithExample
+ tests/integration/test_shortcuts.py::TestPetstoreExpandedExample
+ tests/integration/test_validate.py::TestPetstoreExample
+ tests/integration/test_validate.py::TestApiWithExample
+ tests/integration/test_validate.py::TestPetstoreExpandedExample
+ tests/integration/validation/test_validators.py
+)
+
+src_prepare() {
+ sed -i -e '/--cov/d' pyproject.toml || die
+ # remove meaningless upper bounds
+ sed -i -e 's:,<[0-9.]*::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/openapi-spec-validator/openapi-spec-validator-0.9.0.ebuild b/dev-python/openapi-spec-validator/openapi-spec-validator-0.9.0.ebuild
new file mode 100644
index 000000000000..38b74aa858cd
--- /dev/null
+++ b/dev-python/openapi-spec-validator/openapi-spec-validator-0.9.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYPI_VERIFY_REPO=https://github.com/python-openapi/openapi-spec-validator
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="OpenAPI 2.0 (aka Swagger) and OpenAPI 3.0 spec validator"
+HOMEPAGE="
+ https://github.com/python-openapi/openapi-spec-validator/
+ https://pypi.org/project/openapi-spec-validator/
+"
+
+LICENSE="BSD"
+SLOT="0"
+if [[ ${PV} != *_beta* ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+fi
+
+RDEPEND="
+ >=dev-python/jsonschema-4.26.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-path-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/lazy-object-proxy-1.7.1[${PYTHON_USEDEP}]
+ >=dev-python/openapi-schema-validator-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/pydantic-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pydantic-settings-2.0.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Internet
+ tests/integration/test_shortcuts.py::TestPetstoreV2Example
+ tests/integration/test_shortcuts.py::TestApiV2WithExampe
+ tests/integration/test_shortcuts.py::TestPetstoreV2ExpandedExample
+ tests/integration/test_shortcuts.py::TestPetstoreExample
+ tests/integration/test_shortcuts.py::TestRemoteValidatev2SpecUrl
+ tests/integration/test_shortcuts.py::TestRemoteValidatev30SpecUrl
+ tests/integration/test_shortcuts.py::TestApiWithExample
+ tests/integration/test_shortcuts.py::TestPetstoreExpandedExample
+ tests/integration/test_validate.py::TestPetstoreExample
+ tests/integration/test_validate.py::TestApiWithExample
+ tests/integration/test_validate.py::TestPetstoreExpandedExample
+ tests/integration/validation/test_validators.py
+)
+
+src_prepare() {
+ sed -i -e '/--cov/d' pyproject.toml || die
+ # remove meaningless upper bounds
+ sed -i -e 's:,<[0-9.]*::' pyproject.toml || die
+ distutils-r1_src_prepare
+}